Index: /trunk/DOC/chantiers/commit_importants.log
===================================================================
--- /trunk/DOC/chantiers/commit_importants.log	(revision 1694)
+++ /trunk/DOC/chantiers/commit_importants.log	(revision 1695)
@@ -2016,2 +2016,12 @@
                         of the horizontal domain
 
+**********************
+**** commit_v1695 ****
+**********************
+Reorganization of the way paths to external libraries are handles by makelmdz_fcm
+and makelmdz. This will ease interfacing with Dynamico which follows simillar rules
+with respect to a given external library ,e.g. for SOMELIBRARY, in the arch.path file:
+SOMELIBRARY_LIBDIR="-L/path/to/the/library/libdir -L/possible/other/required/path"
+SOMELIBRARY_LIB"-lsomelib -lsomeotherrequiredlib"
+SOMELIBRARY_INCDIR"-I/path/to/the/library/incdir -I/possible/other/required/include/path"
+
Index: /trunk/LMDZ.COMMON/arch/arch-AMD64_CICLAD.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-AMD64_CICLAD.path	(revision 1694)
+++ /trunk/LMDZ.COMMON/arch/arch-AMD64_CICLAD.path	(revision 1695)
@@ -1,6 +1,14 @@
-NETCDF_LIBDIR="-L/opt/netcdf/pgf/lib -lnetcdf"
-NETCDF_INCDIR=-I/opt/netcdf/pgf/include
-IOIPSL_INCDIR=/home/spiga/IOIPSL_SVN/modipsl/lib
-IOIPSL_LIBDIR=/home/spiga/IOIPSL_SVN/modipsl/lib
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
+ROOT=$PWD
+
+NETCDF_LIBDIR="-L/opt/netcdf/pgf/lib"
+NETCDF_LIB="-lnetcdf"
+NETCDF_INCDIR="-I/opt/netcdf/pgf/include"
+
+IOIPSL_INCDIR="-I/home/spiga/IOIPSL_SVN/modipsl/lib"
+IOIPSL_LIBDIR="-L/home/spiga/IOIPSL_SVN/modipsl/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$ROOT/../XIOS/inc"
+XIOS_LIBDIR="-L$ROOT/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
Index: /trunk/LMDZ.COMMON/arch/arch-CICLADifort.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-CICLADifort.path	(revision 1694)
+++ /trunk/LMDZ.COMMON/arch/arch-CICLADifort.path	(revision 1695)
@@ -1,6 +1,14 @@
-NETCDF_LIBDIR="-L/opt/netcdf3/ifort/lib -lnetcdf"
-NETCDF_INCDIR=-I/opt/netcdf3/ifort/include
-IOIPSL_INCDIR=$LMDGCM/ioipsl/modipsl/lib
-IOIPSL_LIBDIR=$LMDGCM/ioipsl/modipsl/lib
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
+ROOT=$PWD
+
+NETCDF_LIBDIR="-L/opt/netcdf3/ifort/lib"
+NETCDF_LIB="-lnetcdf"
+NETCDF_INCDIR="-I/opt/netcdf3/ifort/include"
+
+IOIPSL_INCDIR="-I$ROOT/ioipsl/modipsl/lib"
+IOIPSL_LIBDIR="-L$ROOT/ioipsl/modipsl/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$ROOT/../XIOS/inc"
+XIOS_LIBDIR="-L$ROOT/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
Index: unk/LMDZ.COMMON/arch/arch-ES_MOON.fcm
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-ES_MOON.fcm	(revision 1694)
+++ 	(revision )
@@ -1,17 +1,0 @@
-%COMPILER            esmpif90
-%LINK                esmpif90
-%AR                  esar
-%MAKE                gmake
-%FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_MATHKEISAN
-%BASE_FFLAGS         -P stack -Wf,-pvctl res=whole,-A dbl4,-ptr byte -EP -R5 -float0 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
-%PROD_FFLAGS         -C vopt
-%DEV_FFLAGS          -C vsafe -gv -Wf,-init stack=nan,-init heap=nan
-%DEBUG_FFLAGS        -C debug -eC -Wf,-init stack=nan,-init heap=nan
-%MPI_FFLAGS
-%OMP_FFLAGS          -P openmp
-%BASE_LD             -lblas -lfft
-%MPI_LD
-%OMP_LD              -P openmp  -Wl,"-ZL 3G"
-
-
Index: unk/LMDZ.COMMON/arch/arch-ES_MOON.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-ES_MOON.path	(revision 1694)
+++ 	(revision )
@@ -1,11 +1,0 @@
-NETCDF_LIBDIR="-L/S/home010/c0010/ES/lib -lnetcdf"
-NETCDF_INCDIR=-I/S/home010/c0010/ES/include
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../prism/ES/build/lib/psmile.$couple
-OASIS_LIBDIR=$LMDGCM/../../prism/ES/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
-LIBPREFIX=sx
Index: /trunk/LMDZ.COMMON/arch/arch-GNOMEp_large.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-GNOMEp_large.path	(revision 1694)
+++ /trunk/LMDZ.COMMON/arch/arch-GNOMEp_large.path	(revision 1695)
@@ -1,4 +1,7 @@
-NETCDF_LIBDIR="-Wl,-rpath -Wl,/san/common/umr8539/bigDATA_netcdf.4.0.1_aymeric/lib -L/san/common/umr8539/bigDATA_netcdf.4.0.1_aymeric/lib -lnetcdf -lnetcdff" 
-NETCDF_INCDIR=-I/san/common/umr8539/bigDATA_netcdf.4.0.1_aymeric/include
-IOIPSL_INCDIR=/san/common/umr8539/bigDATA_ioipsl_aymeric/modipsl/lib
-IOIPSL_LIBDIR=/san/common/umr8539/bigDATA_ioipsl_aymeric/modipsl/lib
+NETCDF_LIBDIR="-Wl,-rpath -Wl,/san/common/umr8539/bigDATA_netcdf.4.0.1_aymeric/lib -L/san/common/umr8539/bigDATA_netcdf.4.0.1_aymeric/lib"
+NETCDF_LIB="-lnetcdf -lnetcdff" 
+NETCDF_INCDIR="-I/san/common/umr8539/bigDATA_netcdf.4.0.1_aymeric/include"
+
+IOIPSL_INCDIR="-I/san/common/umr8539/bigDATA_ioipsl_aymeric/modipsl/lib"
+IOIPSL_LIBDIR="-L/san/common/umr8539/bigDATA_ioipsl_aymeric/modipsl/lib"
+IOIPSL_LIB="-lioipsl"
Index: /trunk/LMDZ.COMMON/arch/arch-GNOMEs.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-GNOMEs.path	(revision 1694)
+++ /trunk/LMDZ.COMMON/arch/arch-GNOMEs.path	(revision 1695)
@@ -1,6 +1,14 @@
-NETCDF_LIBDIR="-L/usr/local/lib -lnetcdf"
-NETCDF_INCDIR=-I/usr/local/include
-IOIPSL_INCDIR=/san/home/millour/Planeto/work_dyn_830/trunk/LMDZ.COMMON/ioipsl/modipsl/lib
-IOIPSL_LIBDIR=/san/home/millour/Planeto/work_dyn_830/trunk/LMDZ.COMMON/ioipsl/modipsl/lib
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
+ROOT=$PWD
+
+NETCDF_LIBDIR="-L/usr/local/lib"
+NETCDF_LIB="-lnetcdf"
+NETCDF_INCDIR="-I/usr/local/include"
+
+IOIPSL_INCDIR="-I/san/home/millour/Planeto/work_dyn_830/trunk/LMDZ.COMMON/ioipsl/modipsl/lib"
+IOIPSL_LIBDIR="-L/san/home/millour/Planeto/work_dyn_830/trunk/LMDZ.COMMON/ioipsl/modipsl/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$ROOT/../XIOS/inc"
+XIOS_LIBDIR="-L$ROOT/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
Index: unk/LMDZ.COMMON/arch/arch-IA64_PLATINE.fcm
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-IA64_PLATINE.fcm	(revision 1694)
+++ 	(revision )
@@ -1,15 +1,0 @@
-%COMPILER            mpif90
-%LINK                mpif90
-%AR                  ar
-%MAKE                gmake
-%FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_MKL
-%BASE_FFLAGS         -i4 -r8 -automatic -align all -I/applications/intel/mkl/10.0.1.014/include
-%PROD_FFLAGS         -O3
-%DEV_FFLAGS          -p -g -O3 -traceback
-%DEBUG_FFLAGS        -p -g -traceback
-%MPI_FFLAGS
-%OMP_FFLAGS          -openmp
-%BASE_LD             -p -i4 -r8 -automatic -L/applications/intel/mkl/10.0.1.014/lib/64 -lmkl_intel_lp64 -lmkl_sequential -lmkl_core -lpthread -lguide
-%MPI_LD
-%OMP_LD              -openmp
Index: unk/LMDZ.COMMON/arch/arch-IA64_PLATINE.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-IA64_PLATINE.path	(revision 1694)
+++ 	(revision )
@@ -1,11 +1,0 @@
-NETCDF_LIBDIR="-L/usr/lib -lnetcdff  -lnetcdf"
-NETCDF_INCDIR=-I/usr/include
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../prism/IA64/build/lib/psmile.$couple
-OASIS_LIBDIR=$LMDGCM/../../prism/IA64/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
-
Index: unk/LMDZ.COMMON/arch/arch-PW6_VARGAS.fcm
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-PW6_VARGAS.fcm	(revision 1694)
+++ 	(revision )
@@ -1,15 +1,0 @@
-%COMPILER            xlf_r
-%LINK                mpxlf_r
-%AR                  ar
-%MAKE                gmake
-%FPP_FLAGS           -P -I/usr/local/pub/FFTW/3.2/include
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_FFTW
-%BASE_FFLAGS         -qautodbl=dbl4 -qxlf90=autodealloc -qmaxmem=-1 -qzerosize
-%PROD_FFLAGS         -O3
-%DEV_FFLAGS          -O2 -qfullpath -qinitauto=7FBFFFFF -qfloat=nans -qflttrap=overflow:zerodivide:invalid:enable -qsigtrap
-%DEBUG_FFLAGS        -g -qfullpath -qnooptimize -qinitauto=7FBFFFFF  -qfloat=nans -qflttrap=overflow:zerodivide:invalid:enable -qsigtrap -qcheck -qextchk
-%MPI_FFLAGS          -I/usr/lpp/ppe.poe/include/thread64
-%OMP_FFLAGS          -qsmp=omp
-%BASE_LD             -lessl -L/usr/local/pub/FFTW/3.2/lib -lfftw3
-%MPI_LD              
-%OMP_LD              -qsmp=omp
Index: unk/LMDZ.COMMON/arch/arch-PW6_VARGAS.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-PW6_VARGAS.path	(revision 1694)
+++ 	(revision )
@@ -1,10 +1,0 @@
-NETCDF_LIBDIR="${NETCDF_LDFLAGS:--L/usr/local/pub/NetCDF/3.6.2/lib -lnetcdf}"
-NETCDF_INCDIR="${NETCDF_FFLAGS:--I/usr/local/pub/NetCDF/3.6.2/include}"
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../prism/AIX6/build/lib/psmile.$couple
-OASIS_LIBDIR=$LMDGCM/../../prism/AIX6/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
Index: unk/LMDZ.COMMON/arch/arch-SX8_BRODIE.fcm
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-SX8_BRODIE.fcm	(revision 1694)
+++ 	(revision )
@@ -1,18 +1,0 @@
-%COMPILER            sxmpif90
-%LINK                sxmpif90
-%AR                  sxar
-%MAKE                sxgmake
-%FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_MATHKEISAN
-%BASE_FFLAGS         -P stack -Wf,-pvctl res=whole,-A dbl4,-ptr byte -EP -R5 -float0 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
-%PROD_FFLAGS         -C vopt
-%DEV_FFLAGS          -C vsafe -gv -Wf,-init stack=nan,-init heap=nan
-%DEBUG_FFLAGS        -C debug -eR -Wf,-init stack=nan,-init heap=nan
-%C_COMPILER          sxcc
-%C_OPTIM             -O
-%MPI_FFLAGS
-%OMP_FFLAGS          -P openmp
-%BASE_LD             -lblas -lfft
-%MPI_LD
-%OMP_LD              -P openmp  -Wl,"-ZL 3G"
-
Index: unk/LMDZ.COMMON/arch/arch-SX8_BRODIE.opt
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-SX8_BRODIE.opt	(revision 1694)
+++ 	(revision )
@@ -1,12 +1,0 @@
-%INLINE -pi auto exp=swtt1_lmdar4,swtt_lmdar4,swde_lmdar4,lwttm_lmdar4,lwtt_lmdar4,swr_lmdar4,swclr_lmdar4 noexp=SW_LMDAR4,SWU_LMDAR4,SW1S_LMDAR4,SW2S_LMDAR4,LW_LMDAR4,LWU_LMDAR4,LWBV_LMDAR4,LWC_LMDAR4,LWB_LMDAR4,LWV_LMDAR4,LWVB_LMDAR4,LWVD_LMDAR4,LWVN_LMDAR4 line=2000
-
-bld::tool::fflags::phys::readaerosol         %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -pi auto
-bld::tool::fflags::phys::aeropt_2bands       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR
-bld::tool::fflags::phys::radiation_AR4       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -Wf,-O,extendreorder %INLINE
-bld::tool::fflags::phys::radiation_AR4_param %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt %INLINE
-bld::tool::fflags::phys::fisrtilp            %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::phys::cv30_routines       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -Wf,-O,extendreorder
-bld::tool::fflags::phys::cvltr               %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::phys::clouds_gno          %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::dyn::vlsplt_p             %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::dyn::groupeun_p           %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
Index: unk/LMDZ.COMMON/arch/arch-SX8_BRODIE.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-SX8_BRODIE.path	(revision 1694)
+++ 	(revision )
@@ -1,10 +1,0 @@
-NETCDF_LIBDIR="-L/SXlocal/pub/netCDF/3.6.1-openmp/lib -lnetcdf"
-NETCDF_INCDIR=-I/SXlocal/pub/netCDF/3.6.1-openmp/include
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
-OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
Index: unk/LMDZ.COMMON/arch/arch-SX8_MERCURE.fcm
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-SX8_MERCURE.fcm	(revision 1694)
+++ 	(revision )
@@ -1,15 +1,0 @@
-%COMPILER            sxmpif90
-%LINK                sxmpif90
-%AR                  sxar
-%MAKE                make
-%FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_MATHKEISAN
-%BASE_FFLAGS         -P stack -Wf,-pvctl res=whole,-A dbl4,-ptr byte -EP -R5 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
-%PROD_FFLAGS         -C vopt
-%DEV_FFLAGS          -C vsafe -gv -Wf,-init stack=nan,-init heap=nan
-%DEBUG_FFLAGS        -C debug -eC -Wf,-init stack=nan,-init heap=nan
-%MPI_FFLAGS
-%OMP_FFLAGS          -P openmp
-%BASE_LD             -size_t64 -lblas -lfft
-%MPI_LD
-%OMP_LD              -P openmp  -Wl,"-ZL 3G"
Index: unk/LMDZ.COMMON/arch/arch-SX8_MERCURE.opt
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-SX8_MERCURE.opt	(revision 1694)
+++ 	(revision )
@@ -1,12 +1,0 @@
-%INLINE -pi auto exp=swtt1_lmdar4,swtt_lmdar4,swde_lmdar4,lwttm_lmdar4,lwtt_lmdar4,swr_lmdar4,swclr_lmdar4 noexp=SW_LMDAR4,SWU_LMDAR4,SW1S_LMDAR4,SW2S_LMDAR4,LW_LMDAR4,LWU_LMDAR4,LWBV_LMDAR4,LWC_LMDAR4,LWB_LMDAR4,LWV_LMDAR4,LWVB_LMDAR4,LWVD_LMDAR4,LWVN_LMDAR4 line=2000
-
-bld::tool::fflags::phys::readaerosol         %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -pi auto
-bld::tool::fflags::phys::aeropt_2bands       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR
-bld::tool::fflags::phys::radiation_AR4       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -Wf,-O,extendreorder %INLINE
-bld::tool::fflags::phys::radiation_AR4_param %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt %INLINE
-bld::tool::fflags::phys::fisrtilp            %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::phys::cv30_routines       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -Wf,-O,extendreorder
-bld::tool::fflags::phys::cvltr               %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::phys::clouds_gno          %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::dyn::vlsplt_p             %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::dyn::groupeun_p           %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
Index: unk/LMDZ.COMMON/arch/arch-SX8_MERCURE.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-SX8_MERCURE.path	(revision 1694)
+++ 	(revision )
@@ -1,10 +1,0 @@
-NETCDF_LIBDIR="-L ${NETCDF_SX_LIBDIR:-/usr/local/SX8/soft/netcdf/lib} -lnetcdf"
-NETCDF_INCDIR=-I${NETCDF_SX_INCLUDEDIR:-/usr/local/SX8/soft/netcdf/include}
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
-OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
Index: unk/LMDZ.COMMON/arch/arch-SX9_MERCURE.fcm
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-SX9_MERCURE.fcm	(revision 1694)
+++ 	(revision )
@@ -1,15 +1,0 @@
-%COMPILER            sxmpif90
-%LINK                sxmpif90
-%AR                  sxar
-%MAKE                make
-%FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_MATHKEISAN
-%BASE_FFLAGS         -P stack -Wf,-pvctl res=whole,-A dbl4,-ptr byte -EP -R2 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
-%PROD_FFLAGS         -C vopt -pi expin=%SRC_PATH/%DYN/cray.F exp=ssum,scopy
-%DEV_FFLAGS          -C vsafe -gv -Wf,-init stack=nan,-init heap=nan
-%DEBUG_FFLAGS        -C debug -eC -Wf,-init stack=nan,-init heap=nan
-%MPI_FFLAGS
-%OMP_FFLAGS          -P openmp
-%BASE_LD             -size_t64 -lblas -lfft
-%MPI_LD
-%OMP_LD              -P openmp  -Wl,"-ZL 3G"
Index: unk/LMDZ.COMMON/arch/arch-SX9_MERCURE.opt
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-SX9_MERCURE.opt	(revision 1694)
+++ 	(revision )
@@ -1,12 +1,0 @@
-%INLINE -pi auto exp=swtt1_lmdar4,swtt_lmdar4,swde_lmdar4,lwttm_lmdar4,lwtt_lmdar4,swr_lmdar4,swclr_lmdar4 noexp=SW_LMDAR4,SWU_LMDAR4,SW1S_LMDAR4,SW2S_LMDAR4,LW_LMDAR4,LWU_LMDAR4,LWBV_LMDAR4,LWC_LMDAR4,LWB_LMDAR4,LWV_LMDAR4,LWVB_LMDAR4,LWVD_LMDAR4,LWVN_LMDAR4 line=2000
-
-bld::tool::fflags::phys::readaerosol         %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -pi auto
-bld::tool::fflags::phys::aeropt_2bands       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR
-bld::tool::fflags::phys::radiation_AR4       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt -Wf,-O,extendreorder %INLINE
-bld::tool::fflags::phys::radiation_AR4_param %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt %INLINE
-bld::tool::fflags::phys::fisrtilp            %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::phys::cv30_routines       %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -Wf,-O,extendreorder
-bld::tool::fflags::phys::cvltr               %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::phys::clouds_gno          %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::dyn::vlsplt_p             %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
-bld::tool::fflags::dyn::groupeun_p           %BASE_FFLAGS %PARA_FFLAGS %PROD_FFLAGS  %INCDIR -C hopt
Index: unk/LMDZ.COMMON/arch/arch-SX9_MERCURE.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-SX9_MERCURE.path	(revision 1694)
+++ 	(revision )
@@ -1,10 +1,0 @@
-NETCDF_LIBDIR="-L${NETCDF_SX_LIBDIR:-/ccc/applications/sx9/netcdf-3.6.1/lib} -lnetcdf"
-NETCDF_INCDIR=-I${NETCDF_SX_INCLUDEDIR:-/ccc/applications/sx9/netcdf-3.6.1/include}
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
-OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
Index: /trunk/LMDZ.COMMON/arch/arch-X64_ADA.env
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-X64_ADA.env	(revision 1695)
+++ /trunk/LMDZ.COMMON/arch/arch-X64_ADA.env	(revision 1695)
@@ -0,0 +1,11 @@
+module unload compilerwrappers
+module unload netcdf
+module unload hdf5
+
+module load netcdf/mpi/4.1.3
+#module load hdf5/mpi/1.8.9
+
+export NETCDF_INC_DIR=/smplocal/pub/NetCDF/4.1.3/mpi/include
+export NETCDF_LIB_DIR=/smplocal/pub/NetCDF/4.1.3/mpi/lib
+export HDF5_INC_DIR=/smplocal/pub/HDF5/1.8.9/par/include
+export HDF5_LIB_DIR=/smplocal/pub/HDF5/1.8.9/par/lib
Index: /trunk/LMDZ.COMMON/arch/arch-X64_ADA.fcm
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-X64_ADA.fcm	(revision 1694)
+++ /trunk/LMDZ.COMMON/arch/arch-X64_ADA.fcm	(revision 1695)
@@ -6,14 +6,14 @@
 %CPP_FLAGS           -P
 %FPP_DEF             NC_DOUBLE LAPACK BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_FFTW
-%BASE_FFLAGS         -integer-size 32 -real-size 64 -align all -mcmodel=large -auto
+%BASE_FFLAGS         -integer-size 32 -real-size 64 -align all -auto
 %PROD_FFLAGS         -O2 -ip -fp-model strict -axAVX,SSE4.2
 %DEV_FFLAGS          -p -g -O1 -fpe0 -traceback
-%DEBUG_FFLAGS        -p -g -O0 -fpe-all=0 -traceback -ftrapuv -fp-stack-check -check bounds,format,output_conversion,pointers,uninit -debug
+%DEBUG_FFLAGS        -p -g -O0 -fpe-all=0 -traceback -ftrapuv -fp-stack-check -check bounds,format,output_conversion,pointers,uninit -debug -ftz
 %C_COMPILER          gcc
 %C_OPTIM             -O3
 %MPI_FFLAGS
-%OMP_FFLAGS          -openmp
-%BASE_LD             -shared-intel -lmkl_intel_lp64 -lmkl_intel_thread -lmkl_core -liomp5 -lpthread -L/smplocal/pub/FFTW/3.3.3_dyn/lib -lfftw3 -Wl,-rpath=/smplocal/pub/NetCDF/4.1.3/mpi/lib:/smplocal/pub/HDF5/1.8.9/par/lib:/smplocal/pub/FFTW/3.3.3_dyn/lib
+%OMP_FFLAGS          -openmp -openmp-threadprivate=compat
+%BASE_LD             -lmkl_intel_lp64 -lmkl_intel_thread -lmkl_core -liomp5 -lpthread -L/smplocal/pub/FFTW/3.3.3_dyn/lib -lfftw3 -Wl,-rpath=/smplocal/pub/FFTW/3.3.3_dyn/lib
 %MPI_LD
-%OMP_LD              -openmp
+%OMP_LD              -openmp -openmp-threadprivate=compat
 
Index: /trunk/LMDZ.COMMON/arch/arch-X64_ADA.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-X64_ADA.path	(revision 1694)
+++ /trunk/LMDZ.COMMON/arch/arch-X64_ADA.path	(revision 1695)
@@ -1,13 +1,33 @@
-NETCDF_LIBDIR="${NETCDF_LDFLAGS:--L/smplocal/pub/NetCDF/4.1.3/mpi/lib -lnetcdff -lnetcdf -L/smplocal/pub/HDF5/1.8.9/par/lib -Bstatic -lhdf5hl_fortran -lhdf5_hl -lhdf5_fortran -lhdf5 -Bdynamic -lz}"
-NETCDF_INCDIR="${NETCDF_FFLAGS:--I/smplocal/pub/HDF5/1.8.9/par/include -I/smplocal/pub/NetCDF/4.1.3/mpi/include}"
-IOIPSL_INCDIR=/smphome/rech/psl/rpsl035/IOIPSL_PLUS/modipsl/lib
-IOIPSL_LIBDIR=/smphome/rech/psl/rpsl035/IOIPSL_PLUS/modipsl/lib
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1
-OASIS_LIBDIR=$LMDGCM/../../oasis3-mct/BLD/lib
-INCA_LIBDIR=$LMDGCM/../INCA/config/lib
-INCA_INCDIR=$LMDGCM/../INCA/config/lib
+ROOT=$PWD
+NETCDF_INCDIR="-I $NETCDF_INC_DIR"
+#NETCDF_LIBDIR="-L $NETCDF_LIB_DIR"
+#NETCDF_LIB="-lnetcdff -lnetcdf"
 
+MPI_INCDIR=""
+MPI_LIBDIR=""
+MPI_LIB=""
+
+#HDF5_INCDIR="-I $HDF5_INC_DIR"
+#HDF5_LIBDIR="-L $HDF5_LIB_DIR"
+#HDF5_LIB="-lhdf5_hl -lhdf5 -lhdf5 -lz"
+
+IOIPSL_INCDIR="-I/smphome/rech/psl/rpsl035/IOIPSL_PLUS/modipsl/lib"
+IOIPSL_LIBDIR="-L/smphome/rech/psl/rpsl035/IOIPSL_PLUS/modipsl/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$ROOT/../XIOS/inc"
+XIOS_LIBDIR="-L$ROOT/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
+ORCHIDEE_INCDIR="-I$ROOT/../ORCHIDEE/lib"
+ORCHIDEE_LIBDIR="-L$ROOT/../ORCHIDEE/lib"
+ORCHIDEE_LIB="-lorchidee "
+
+OASIS_INCDIR="-I$ROOT/../oasis3-mct/BLD/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$ROOT/../oasis3-mct/BLD/lib"
+OASIS_LIB="-lpsmile.MPI1 -lscrip -lmct -lmpeu"
+
+INCA_INCDIR="-I$ROOT/../INCA/config/lib"
+INCA_LIBDIR="-I$ROOT/../INCA/config/lib"
+INCA_LIB="-lchimie"
+
Index: /trunk/LMDZ.COMMON/arch/arch-X64_MESU.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-X64_MESU.path	(revision 1694)
+++ /trunk/LMDZ.COMMON/arch/arch-X64_MESU.path	(revision 1695)
@@ -1,7 +1,14 @@
-NETCDF_LIBDIR="-L${NETCDF_FORT_ROOT}/lib -lnetcdff"
+ROOT=$PWD
+
+NETCDF_LIBDIR="-L${NETCDF_FORT_ROOT}/lib"
+NETCDF_LIB="-lnetcdff"
 NETCDF_INCDIR="-I${NETCDF_FORT_ROOT}/include"
-IOIPSL_INCDIR=$LMDGCM/ioipsl/modipsl/lib
-IOIPSL_LIBDIR=$LMDGCM/ioipsl/modipsl/lib
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
 
+IOIPSL_INCDIR="-I$ROOT/ioipsl/modipsl/lib"
+IOIPSL_LIBDIR="-L$ROOT/ioipsl/modipsl/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$ROOT/../XIOS/inc"
+XIOS_LIBDIR="-L$ROOT/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
Index: /trunk/LMDZ.COMMON/arch/arch-X64_OCCIGEN.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-X64_OCCIGEN.path	(revision 1694)
+++ /trunk/LMDZ.COMMON/arch/arch-X64_OCCIGEN.path	(revision 1695)
@@ -1,6 +1,14 @@
-NETCDF_LIBDIR="-L${NETCDFF_LIBDIR} -lnetcdff -lnetcdf"
+ROOT=$PWD
+
+NETCDF_LIBDIR="-L${NETCDFF_LIBDIR}"
+NETCDF_LIB="-lnetcdff -lnetcdf"
 NETCDF_INCDIR="-I${NETCDF_INCDIR}"
-IOIPSL_INCDIR=$LMDGCM/ioipsl/modipsl/lib
-IOIPSL_LIBDIR=$LMDGCM/ioipsl/modipsl/lib
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
+
+IOIPSL_INCDIR="-I$ROOT/ioipsl/modipsl/lib"
+IOIPSL_LIBDIR="-L$ROOT/ioipsl/modipsl/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$ROOT/../XIOS/inc"
+XIOS_LIBDIR="-L$ROOT/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
Index: unk/LMDZ.COMMON/arch/arch-X64_TITANE.fcm
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-X64_TITANE.fcm	(revision 1694)
+++ 	(revision )
@@ -1,15 +1,0 @@
-%COMPILER            mpif90
-%LINK                mpif90
-%AR                  ar
-%MAKE                gmake
-%FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_MKL
-%BASE_FFLAGS         -i4 -r8 -automatic -align all -I${MKLROOT}/include
-%PROD_FFLAGS         -O3
-%DEV_FFLAGS          -p -g -O3 -traceback -fp-stack-check -ftrapuv
-%DEBUG_FFLAGS        -p -g -traceback
-%MPI_FFLAGS
-%OMP_FFLAGS          -openmp
-%BASE_LD             -p -i4 -r8 -automatic -L/applications/intel/mkl/10.1.1.019/lib/em64t -lmkl_intel_lp64 -lmkl_sequential -lmkl_core -lpthread -lguide
-%MPI_LD
-%OMP_LD              -openmp
Index: unk/LMDZ.COMMON/arch/arch-X64_TITANE.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-X64_TITANE.path	(revision 1694)
+++ 	(revision )
@@ -1,11 +1,0 @@
-NETCDF_LIBDIR="-L$NETCDF_LIB_DIR -lnetcdff -lnetcdf"
-NETCDF_INCDIR=-I$NETCDF_INC_DIR
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=$LMDGCM/../../prism/X64/build/lib/psmile.$couple
-OASIS_LIBDIR=$LMDGCM/../../prism/X64/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
-
Index: unk/LMDZ.COMMON/arch/arch-g95.fcm
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-g95.fcm	(revision 1694)
+++ 	(revision )
@@ -1,17 +1,0 @@
-%COMPILER            g95
-%LINK                g95
-%AR                  ar
-%MAKE                make
-%FPP_FLAGS           -P -traditional
-%FPP_DEF             PLOUF
-%BASE_FFLAGS         -c
-%PROD_FFLAGS         -O3
-%DEV_FFLAGS          -O
-%DEBUG_FFLAGS        -fbounds-check -freal=nan -ftrace=full -g -O0 -Wall
-%C_COMPILER          gcc
-%C_OPTIM             -O3
-%MPI_FFLAGS
-%OMP_FFLAGS          
-%BASE_LD             
-%MPI_LD
-%OMP_LD              
Index: unk/LMDZ.COMMON/arch/arch-g95.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-g95.path	(revision 1694)
+++ 	(revision )
@@ -1,6 +1,0 @@
-NETCDF_LIBDIR=...
-NETCDF_INCDIR=...
-IOIPSL_INCDIR=...
-IOIPSL_LIBDIR=...
-ORCH_INCDIR=...
-ORCH_LIBDIR=...
Index: /trunk/LMDZ.COMMON/arch/arch-gfortran.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-gfortran.path	(revision 1694)
+++ /trunk/LMDZ.COMMON/arch/arch-gfortran.path	(revision 1695)
@@ -1,6 +1,13 @@
-NETCDF_LIBDIR="-L/home/aymeric/Science/MODELES/LMDZ.COMMON/netcdf/gfortran_netcdf-4.0.1/lib -lnetcdf"
-NETCDF_INCDIR=-I/home/aymeric/Science/MODELES/LMDZ.COMMON/netcdf/gfortran_netcdf-4.0.1/include
-IOIPSL_INCDIR=/home/aymeric/Science/MODELES/LMDZ.COMMON/ioipsl/modipsl/lib
-IOIPSL_LIBDIR=/home/aymeric/Science/MODELES/LMDZ.COMMON/ioipsl/modipsl/lib
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
+ROOT=$PWD
+
+NETCDF_LIBDIR="-L/home/aymeric/Science/MODELES/LMDZ.COMMON/netcdf/gfortran_netcdf-4.0.1/lib"
+NETCDF_LIB="-lnetcdf"
+NETCDF_INCDIR="-I/home/aymeric/Science/MODELES/LMDZ.COMMON/netcdf/gfortran_netcdf-4.0.1/include"
+
+IOIPSL_INCDIR="-I/home/aymeric/Science/MODELES/LMDZ.COMMON/ioipsl/modipsl/lib"
+IOIPSL_LIBDIR="-L/home/aymeric/Science/MODELES/LMDZ.COMMON/ioipsl/modipsl/lib"
+
+XIOS_INCDIR="-I$ROOT/../XIOS/inc"
+XIOS_LIBDIR="-L$ROOT/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
Index: unk/LMDZ.COMMON/arch/arch-linux-32bit.fcm
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-linux-32bit.fcm	(revision 1694)
+++ 	(revision )
@@ -1,15 +1,0 @@
-%COMPILER            pgf95
-%LINK                pgf95
-%AR                  ar
-%MAKE                make
-%FPP_FLAGS           -P -traditional
-%FPP_DEF             
-%BASE_FFLAGS         
-%PROD_FFLAGS         -fast
-%DEV_FFLAGS          -g -O1
-%DEBUG_FFLAGS        -g -O0 -Kieee -Ktrap=fp -Mbounds
-%MPI_FFLAGS
-%OMP_FFLAGS          
-%BASE_LD             -llapack -lblas
-%MPI_LD
-%OMP_LD              
Index: unk/LMDZ.COMMON/arch/arch-linux-32bit.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-linux-32bit.path	(revision 1694)
+++ 	(revision )
@@ -1,6 +1,0 @@
-NETCDF_LIBDIR="-L/usr/local/netcdf-pgi/lib -lnetcdf" 
-NETCDF_INCDIR=-I/usr/local/netcdf-pgi/include
-IOIPSL_INCDIR=/usr/local/guez/modipsl/lib
-IOIPSL_LIBDIR=/usr/local/guez/modipsl/lib
-ORCH_INCDIR=/u/fairhead/modipsl_ioipsl_3/lib
-ORCH_LIBDIR=/u/fairhead/modipsl_ioipsl_3/lib
Index: /trunk/LMDZ.COMMON/arch/arch-linux-64bit-para.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-linux-64bit-para.path	(revision 1694)
+++ /trunk/LMDZ.COMMON/arch/arch-linux-64bit-para.path	(revision 1695)
@@ -1,6 +1,14 @@
-NETCDF_LIBDIR="-L/donnees/emlmd/netcdf64-4.0.1_ifort/lib -lnetcdf"
-NETCDF_INCDIR=-I/donnees/emlmd/netcdf64-4.0.1_ifort/include
-IOIPSL_INCDIR=/donnees/sllmd/ioipsl/modipsl/ifortpara/lib
-IOIPSL_LIBDIR=/donnees/sllmd/ioipsl/modipsl/ifortpara/lib
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
+ROOT=$PWD
+
+NETCDF_LIBDIR="-L/donnees/emlmd/netcdf64-4.0.1_ifort/lib""
+NETCDF_LIB="-lnetcdf"
+NETCDF_INCDIR="-I/donnees/emlmd/netcdf64-4.0.1_ifort/include"
+
+IOIPSL_INCDIR="-I/donnees/sllmd/ioipsl/modipsl/ifortpara/lib"
+IOIPSL_LIBDIR="-L/donnees/sllmd/ioipsl/modipsl/ifortpara/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$ROOT/../XIOS/inc"
+XIOS_LIBDIR="-L$ROOT/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
Index: /trunk/LMDZ.COMMON/arch/arch-linux-64bit.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-linux-64bit.path	(revision 1694)
+++ /trunk/LMDZ.COMMON/arch/arch-linux-64bit.path	(revision 1695)
@@ -1,8 +1,14 @@
-NETCDF_LIBDIR="-L/donnees/emlmd/netcdf64-4.0.1_pgi/lib -lnetcdf"
-NETCDF_INCDIR=-I/donnees/emlmd/netcdf64-4.0.1_pgi/include
-IOIPSL_INCDIR=/donnees/emlmd/modipsl64_pgi/modipsl/lib
-IOIPSL_LIBDIR=/donnees/emlmd/modipsl64_pgi/modipsl/lib
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
-ORCH_INCDIR=/u/fairhead/modipsl_ioipsl_3/lib
-ORCH_LIBDIR=/u/fairhead/modipsl_ioipsl_3/lib
+ROOT=$PWD
+
+NETCDF_LIBDIR="-L/donnees/emlmd/netcdf64-4.0.1_pgi/lib"
+NETCDF_LIB="-lnetcdf"
+NETCDF_INCDIR="-I/donnees/emlmd/netcdf64-4.0.1_pgi/include"
+
+IOIPSL_INCDIR="-I/donnees/emlmd/modipsl64_pgi/modipsl/lib"
+IOIPSL_LIBDIR="-L/donnees/emlmd/modipsl64_pgi/modipsl/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$ROOT/../XIOS/inc"
+XIOS_LIBDIR="-L$ROOT/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
Index: /trunk/LMDZ.COMMON/arch/arch-linux-ifort-para.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-linux-ifort-para.path	(revision 1694)
+++ /trunk/LMDZ.COMMON/arch/arch-linux-ifort-para.path	(revision 1695)
@@ -1,6 +1,14 @@
-NETCDF_LIBDIR="-L/d2/emlmd/netcdf64-4.0.1_ifort/lib -lnetcdf"
-NETCDF_INCDIR=-I/d2/emlmd/netcdf64-4.0.1_ifort/include
-IOIPSL_INCDIR=/u/sllmd/LMDZ5/ioipsl/modipsl/lib-ifort
-IOIPSL_LIBDIR=/u/sllmd/LMDZ5/ioipsl/modipsl/lib-ifort
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
+ROOT=$PWD
+
+NETCDF_LIBDIR="-L/d2/emlmd/netcdf64-4.0.1_ifort/lib"
+NETCDF_LIB="-lnetcdf"
+NETCDF_INCDIR="-I/d2/emlmd/netcdf64-4.0.1_ifort/include"
+
+IOIPSL_INCDIR="-I/u/sllmd/LMDZ5/ioipsl/modipsl/lib-ifort"
+IOIPSL_LIBDIR="-L/u/sllmd/LMDZ5/ioipsl/modipsl/lib-ifort"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$ROOT/../XIOS/inc"
+XIOS_LIBDIR="-L$ROOT/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
Index: /trunk/LMDZ.COMMON/arch/arch-linux-ifort.path
===================================================================
--- /trunk/LMDZ.COMMON/arch/arch-linux-ifort.path	(revision 1694)
+++ /trunk/LMDZ.COMMON/arch/arch-linux-ifort.path	(revision 1695)
@@ -1,6 +1,14 @@
-NETCDF_LIBDIR="-L/d2/emlmd/netcdf64-4.0.1_ifort/lib -lnetcdf"
-NETCDF_INCDIR=-I/d2/emlmd/netcdf64-4.0.1_ifort/include
-IOIPSL_INCDIR=/u/sllmd/LMDZ5/ioipsl/modipsl/lib-ifort
-IOIPSL_LIBDIR=/u/sllmd/LMDZ5/ioipsl/modipsl/lib-ifort
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
+ROOT=$PWD
+
+NETCDF_LIBDIR="-L/d2/emlmd/netcdf64-4.0.1_ifort/lib"
+NETCDF_LIB="-lnetcdf"
+NETCDF_INCDIR="-I/d2/emlmd/netcdf64-4.0.1_ifort/include"
+
+IOIPSL_INCDIR="-I/u/sllmd/LMDZ5/ioipsl/modipsl/lib-ifort"
+IOIPSL_LIBDIR="-L/u/sllmd/LMDZ5/ioipsl/modipsl/lib-ifort"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$ROOT/../XIOS/inc"
+XIOS_LIBDIR="-L$ROOT/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
Index: /trunk/LMDZ.COMMON/makelmdz
===================================================================
--- /trunk/LMDZ.COMMON/makelmdz	(revision 1694)
+++ /trunk/LMDZ.COMMON/makelmdz	(revision 1695)
@@ -401,6 +401,6 @@
    CPP_KEY="$CPP_KEY INCA"
    INCLUDE="$INCLUDE -I${INCA_INCDIR}"
-   LIB="$LIB -L${INCA_LIBDIR} -lchimie"
-   libchimie=" -L${INCA_LIBDIR} -lchimie"
+   LIB="$LIB -L${INCA_LIBDIR} ${INCA_LIB}"
+   libchimie=" -L${INCA_LIBDIR} ${INCA_LIB}"
 fi
 
@@ -409,5 +409,5 @@
    CPP_KEY="$CPP_KEY CPP_COUPLE"
    INCLUDE="$INCLUDE -I${OASIS_INCDIR}"
-   LIB="$LIB -L${OASIS_LIBDIR} -lpsmile.${couple} -lmpp_io"
+   LIB="$LIB -L${OASIS_LIBDIR} ${OASIS_LIB}"
 fi
 
@@ -472,5 +472,5 @@
 then
 
-   INCLUDE="${INCLUDE} -I${ORCH_INCDIR}"
+   INCLUDE="${INCLUDE} ${ORCHIDEE_INCDIR}"
    CPP_KEY="$CPP_KEY CPP_VEGET"
 # temporary, for Orchidee versions 1.9.* (before openmp activation)
@@ -483,10 +483,5 @@
       orch_libs="sechiba parameters stomate parallel orglob"
    fi
-   LIB="${LIB} -L${ORCH_LIBDIR}"
-   for lib in ${orch_libs} ; do
-      if [ -f ${ORCH_LIBDIR}/lib${LIBPREFIX}$lib.a ] ; then
-         LIB="${LIB} -l${LIBPREFIX}$lib "
-      fi
-   done
+   LIB="${LIB} -L${ORCHIDEE_LIBDIR} ${ORCHIDEE_LIB}"
 elif [[ "$veget" != "false" ]] ; then
    echo "Option -v $veget does not exist"
@@ -498,18 +493,18 @@
 then
    CPP_KEY="$CPP_KEY CPP_IOIPSL"
-   INCLUDE="$INCLUDE -I${IOIPSL_INCDIR}"
-   LIB="$LIB -L${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl"
+   INCLUDE="$INCLUDE ${IOIPSL_INCDIR}"
+   LIB="$LIB -L${IOIPSL_LIBDIR} ${IOIPSL_LIB}"
 elif [[ $io == mix ]]
 then
    # For now, xios implies also using ioipsl
    CPP_KEY="$CPP_KEY CPP_IOIPSL CPP_XIOS"
-   INCLUDE="$INCLUDE -I${IOIPSL_INCDIR} -I${XIOS_INCDIR}"
-   LIB="$LIB -L${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl -L${XIOS_LIBDIR} -l${LIBPREFIX}stdc++ -l${LIBPREFIX}xios"
+   INCLUDE="$INCLUDE ${IOIPSL_INCDIR} ${XIOS_INCDIR}"
+   LIB="$LIB -L${IOIPSL_LIBDIR} ${IOIPSL_LIB} ${XIOS_LIBDIR} ${XIOS_LIB}"
 elif [[ $io == xios ]]
 then
    # For now, xios implies also using ioipsl
    CPP_KEY="$CPP_KEY CPP_IOIPSL CPP_XIOS CPP_IOIPSL_NO_OUTPUT"
-   INCLUDE="$INCLUDE -I${IOIPSL_INCDIR} -I${XIOS_INCDIR}"
-   LIB="$LIB -L${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl -L${XIOS_LIBDIR} -l${LIBPREFIX}stdc++ -l${LIBPREFIX}xios"
+   INCLUDE="$INCLUDE ${IOIPSL_INCDIR} ${XIOS_INCDIR}"
+   LIB="$LIB ${IOIPSL_LIBDIR} ${IOIPSL_LIB} ${XIOS_LIBDIR} ${XIOS_LIB}"
 fi
 
@@ -549,7 +544,7 @@
 fi
 
-
+# NETCDF library include/library paths
 INCLUDE="$INCLUDE ${NETCDF_INCDIR}"
-LIB="$LIB ${NETCDF_LIBDIR}"
+LIB="$LIB ${NETCDF_LIBDIR} ${NETCDF_LIB}"
 
 ########################################################################
Index: /trunk/LMDZ.COMMON/makelmdz_fcm
===================================================================
--- /trunk/LMDZ.COMMON/makelmdz_fcm	(revision 1694)
+++ /trunk/LMDZ.COMMON/makelmdz_fcm	(revision 1695)
@@ -338,5 +338,5 @@
    CPP_KEY="$CPP_KEY INCA"
    INCLUDE="$INCLUDE -I${INCA_INCDIR}"
-   LIB="$LIB -L${INCA_LIBDIR} -lchimie"
+   LIB="$LIB -L${INCA_LIBDIR} ${INCA_LIB}"
 fi
 
@@ -349,9 +349,9 @@
 	export OASIS_LIBDIR=$LMDGCM/../../prism/X64/lib
 	INCLUDE="$INCLUDE -I${OASIS_INCDIR}"
-	LIB="$LIB -L${OASIS_LIBDIR} -lpsmile.MPI1 -lmpp_io"
+	LIB="$LIB -L${OASIS_LIBDIR} ${OASIS_LIB}"
     else
 	CPP_KEY="$CPP_KEY CPP_COUPLE CPP_OMCT"
 	INCLUDE="$INCLUDE -I${OASIS_INCDIR}"
-	LIB="$LIB -L${OASIS_LIBDIR} -lpsmile.MPI1 -lscrip -lmct -lmpeu"
+	LIB="$LIB -L${OASIS_LIBDIR} ${OASIS_LIB}"
     fi
 fi
@@ -394,5 +394,5 @@
 #    For this case, cpp flag ORCHIDEE_NOOPENMP must be added to the makelmdz_fcm arguments
 #    option orchidee1.9 : Compile with ORCHIDEE version up to the inclusion of OpenMP in ORCHIDEE : tag 1.9-1.9.5(version AR5)-1.9.6
-   INCLUDE="${INCLUDE} -I${ORCH_INCDIR}"
+   INCLUDE="${INCLUDE} ${ORCHIDEE_INCDIR}"
    CPP_KEY="$CPP_KEY CPP_VEGET"
 # temporary, for Orchidee versions 1.9.* (before openmp activation)
@@ -405,10 +405,5 @@
       orch_libs="sechiba parameters stomate parallel orglob"
    fi
-   LIB="${LIB} -L${ORCH_LIBDIR}"
-   for lib in ${orch_libs} ; do
-      if [ -f ${ORCH_LIBDIR}/lib${LIBPREFIX}$lib.a ] ; then
-         LIB="${LIB} -l${LIBPREFIX}$lib "
-      fi
-   done
+   LIB="${LIB} -L${ORCHIDEE_LIBDIR} ${ORCHIDEE_LIB}"
 elif [[ "$veget" != "false" ]] ; then
    echo "Option -v $veget does not exist"
@@ -444,18 +439,18 @@
 then
    CPP_KEY="$CPP_KEY CPP_IOIPSL"
-   INCLUDE="$INCLUDE -I${IOIPSL_INCDIR}"
-   LIB="$LIB -L${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl"
+   INCLUDE="$INCLUDE ${IOIPSL_INCDIR}"
+   LIB="$LIB ${IOIPSL_LIBDIR} ${IOIPSL_LIB}"
 elif [[ $io == mix ]]
 then
    # For now, xios implies also using ioipsl
    CPP_KEY="$CPP_KEY CPP_IOIPSL CPP_XIOS"
-   INCLUDE="$INCLUDE -I${IOIPSL_INCDIR} -I${XIOS_INCDIR}"
-   LIB="$LIB -L${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl -L${XIOS_LIBDIR} -l${LIBPREFIX}stdc++ -l${LIBPREFIX}xios"
+   INCLUDE="$INCLUDE ${IOIPSL_INCDIR} ${XIOS_INCDIR}"
+   LIB="$LIB ${IOIPSL_LIBDIR} ${IOIPSL_LIB} ${XIOS_LIBDIR} ${XIOS_LIB}"
 elif [[ $io == xios ]]
 then
    # For now, xios implies also using ioipsl
    CPP_KEY="$CPP_KEY CPP_IOIPSL CPP_XIOS CPP_IOIPSL_NO_OUTPUT"
-   INCLUDE="$INCLUDE -I${IOIPSL_INCDIR} -I${XIOS_INCDIR}"
-   LIB="$LIB -L${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl -L${XIOS_LIBDIR} -l${LIBPREFIX}stdc++ -l${LIBPREFIX}xios"
+   INCLUDE="$INCLUDE ${IOIPSL_INCDIR} ${XIOS_INCDIR}"
+   LIB="$LIB ${IOIPSL_LIBDIR} ${IOIPSL_LIB} ${XIOS_LIBDIR} ${XIOS_LIB}"
 fi
 
@@ -488,6 +483,7 @@
 fi
 
+# NETCDF library include/library paths
 INCLUDE="$INCLUDE ${NETCDF_INCDIR}"
-LIB="$LIB ${NETCDF_LIBDIR}"
+LIB="$LIB ${NETCDF_LIBDIR} ${NETCDF_LIB}"
 
 ########################################################################
